Subject: Re: g++ defines for win32
From: "Angel Tsankov" <[email-masked]>
To: "cygwin mailing list" <[email-masked]>
Date: Mon, 15 Aug 2005 08:15:56 +0300

> ----- Original Message ----- 
> From: "Pavel Tsekov" <[email-masked]>
> To: "Angel Tsankov" <[email-masked]>
> Cc: "cygwin mailing list" <[email-masked]>
> Sent: Sunday, August 14, 2005 4:50 PM
> Subject: Re: g++ defines for win32
>
>
>> Hello,
>>
>> On Sun, 14 Aug 2005, Angel Tsankov wrote:
>>
>>> It seems I've come upon an interesting issue, probably a bug. Here
>>> it
>>> is:
>>> I have a header file that defines __stdcall, __fastdecl and
>>> __cdecl.
>>> If the preprocessor uses the CPLUS_INCLUDE_PATH to find that 
>>> header
>>> file, then it does not issue a warning saying that any of the 
>>> above
>>> identifiers has been redefined. If, however, it does not use that
>>> environment variable, then it DOES issue the warning.
>>
>> We really have to guess whether you've found a bug or not since you
>> do not
>> provide any useful details. What are you trying to compile ? What
>> warnings/errors does the compiler produce ? A simple testcase
>> demonstrating the problem would be appreciated.
>>
>>

 Here's the test case. Execute the run.bat file to perform the test.
Hmm, it seams that I cannot send zip files as attachments. So you may 
download the test case from
http://debian.fmi.uni-sofia.bg/~angel/test_case.zip
and run run.bat to execute it.

 Angel Tsankov
 [email-masked]

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/